---
title: "Insert a supplier"
slug: "insert-an-supplier"
updated: 2024-10-02T11:18:44Z
published: 2026-02-10T10:27:20Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Insert a supplier

Post/api/v1/relations/suppliers

Insert a new supplier.

		
			

**Description**

Insert (add) a supplier to your existing relations. This encompasses all entities from which you receive invoices. For example, the tax authorities or a cleaning company. Also, for instance, the company from which you purchase office supplies.

The 200 response contains a field named 'reference'. It is important to save this value since it is used as an identifier for all the other operations to recognise this specific entity.

**Use Case**

The user wants to add a supplier from a third party system to the Bloxs application. Consequently the supplier can be used in the Bloxs application for other processes, like service tickets, contracts, invoicing etc.

| Field | Description |
| --- | --- |
| externalIdentifier | The unique identifier within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| phoneNumber | Phone number of the supplier. |
| mobileNumber | Mobile phone number of the supplier. |
| cocNumber | Chamber of Commerce number. |
| cocDescription | Additional information about the Chamber of Commerce number. Termed as KVK description in the Bloxs system. Extra information can be entered here regarding the Chamber of Commerce number. |
| vatNumber | VAT (BTW) number of the supplier. |
| correspondenceMethod | The default method of correspondence. This field is an integer with 2 options: 1 = Email 2 = Post If the correspondenceMethod is set to Email, then the primaryEmailAddresses field is mandatory. If the CorrespondenceMethod is set to Post, then the Address field is mandatory. |
| remarks | General comments. Please note: Avoid including sensitive information here, such as passwords or sensitive personal data. |
| languageISOCode | ISO language code. Use the 2-letter code from the ISO 639-1 Code list. |
| address | The address of the supplier. |
| street | The street of the supplier. |
| houseNumber | The house number of the supplier. |
| postalCode | The postal code of the supplier. |
| city | The place of residence of the supplier. |
| countryISOCode | ISO country code. Use the 2-letter code from the ISO 639-1 Code list. |
| invoiceAddress | The billing address of the supplier. In case this field is empty, the data from 'address' will be used. This is mainly relevant for certain templates. |
| postalAddress | The postal address of the supplier. In case this field is empty, the data from 'address' will be used. This is mainly relevant for certain templates. |
| primaryEmailAddresses | Primary email address used by the relation. If other email addresses are left empty, this email address will be used for correspondence. |
| invoicesEmailAddresses | The email address used to send invoices. |
| paymentRemindersEmailAddresses | The email address used to send reminders regarding payments. |
| indexationsEmailAddresses | The email address to which the annual rent increase (indexation) is sent. |
| serviceTicketsEmailAddresses | The email address to which all maintenance notifications are sent. This may differ from the general email address. For instance, in the case of a shared office space where all communication is centralized through one central desk instead of being handled separately by individual tenants. |
| purchaseOrdersEmailAddresses | All communication specifically related to procurement is conducted through this email address. This is primarily applicable to large parties where procurement processes are managed through separate email accounts. |
| portalsEmailAddresses | Within Bloxs, a portal account for customers or tenants can be opened. Through this field, you can provide multiple email addresses that need to be granted access. |
| otherEmailAddresses | Other email addresses. |
| supplierTypeName | Supplier type. The enumeration can be set by the user in the admin module. In the administration, there is already a default list created by Bloxs, which can be modified by the user. To retrieve the list of available options the following endpoint can be used: GET SupplierTypes. |
| name | Name of the relation. |
| website | Website of the relation. |
| defaultPurchaseInvoiceSubject | This is a text field for the preferred subject of the invoice. For example, if the supplier is a cleaner, you could enter 'cleaning services' as the default text here. |
| paymentMethod | 1 = DirectDebit 2 = BankTransfer 3 = Withdrawal 4 = Cash 5 = iDeal If this option is selected, it will appear on the invoice as the default preferred payment method. The user cannot modify this enumeration. |
| defaultPaymentTermName | Preferred payment term. The enumeration can be set by the user in the admin module. There exists a default list created by Bloxs, which can be modified by the user. |
| defaultLedgerAccountCode | Preferred general ledger account. The enumeration can be set by the user in the admin module. There exists a default list created by Bloxs, which can be modified by the user. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='e3f00d4e-67a5-4c18-9d4f-9f058fc5d61c'>application/json</option>
</select>Expand Allobject  languageISOCodestring   | null  Min length0Max length2
addressobject (Address)  streetstring    RequiredMin length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    RequiredMin length0Max length20
citystring    RequiredMin length0Max length200
countryISOCodestring    RequiredMin length0Max length2

invoiceAddressobject (Address)  streetstring    RequiredMin length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    RequiredMin length0Max length20
citystring    RequiredMin length0Max length200
countryISOCodestring    RequiredMin length0Max length2

postalAddressobject (Address)  streetstring    RequiredMin length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    RequiredMin length0Max length20
citystring    RequiredMin length0Max length200
countryISOCodestring    RequiredMin length0Max length2

primaryEmailAddresses Array of string  | null  string    
invoicesEmailAddresses Array of string  | null  string    
paymentRemindersEmailAddresses Array of string  | null  string    
indexationsEmailAddresses Array of string  | null  string    
serviceTicketsEmailAddresses Array of string  | null  string    
purchaseOrdersEmailAddresses Array of string  | null  string    
portalsEmailAddresses Array of string  | null  string    
otherEmailAddresses Array of string  | null  string    
externalIdentifierstring   | null  Min length0Max length100
phoneNumberstring   | null  
mobileNumberstring   | null  
cocNumberstring   | null  Min length0Max length256
cocDescriptionstring   | null  
vatNumberstring   | null  Min length0Max length256
correspondenceMethodinteger  (int32)    RequiredValid values[
  1,
  2
]
remarksstring   | null  
supplierTypeNamestring   | null  Min length0Max length256
namestring    RequiredMin length0Max length256
websitestring   | null  
defaultPurchaseInvoiceSubjectstring   | null  Min length0Max length512
paymentMethodinteger  (int32)   | null  Valid values[
  1,
  2,
  3,
  4,
  5
]
defaultPaymentTermNamestring   | null  
defaultLedgerAccountCodestring   | null  

Responses200

The supplier was created

<select class='api-response-data' aria-label='Media type'><option value='9eda3537-b1f8-43c0-ad2b-c5f94edb9348'>application/json</option>
</select>Expand Allobject  languageISOCodestring   | null  Min length0Max length2
addressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

invoiceAddressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

postalAddressobject (Address)  streetstring    Min length0Max length200
houseNumberstring   | null  Min length0Max length40
postalCodestring    Min length0Max length20
citystring    Min length0Max length200
countryISOCodestring    Min length0Max length2

primaryEmailAddresses Array of string  | null  string    
invoicesEmailAddresses Array of string  | null  string    
paymentRemindersEmailAddresses Array of string  | null  string    
indexationsEmailAddresses Array of string  | null  string    
serviceTicketsEmailAddresses Array of string  | null  string    
purchaseOrdersEmailAddresses Array of string  | null  string    
portalsEmailAddresses Array of string  | null  string    
otherEmailAddresses Array of string  | null  string    
externalIdentifierstring   | null  Min length0Max length100
phoneNumberstring   | null  
mobileNumberstring   | null  
cocNumberstring   | null  Min length0Max length256
cocDescriptionstring   | null  
vatNumberstring   | null  Min length0Max length256
correspondenceMethodinteger  (int32)    Valid values[
  1,
  2
]
remarksstring   | null  
supplierTypeNamestring   | null  Min length0Max length256
namestring    Min length0Max length256
websitestring   | null  
defaultPurchaseInvoiceSubjectstring   | null  Min length0Max length512
paymentMethodinteger  (int32)   | null  Valid values[
  1,
  2,
  3,
  4,
  5
]
defaultPaymentTermNamestring   | null  
defaultLedgerAccountCodestring   | null  
referencestring   | null  Min length0Max length100
displayNamestring   | null  
archiveDatestring  (date)   | null  

400

The supplier data has validation issues

<select class='api-response-data' aria-label='Media type'><option value='7a08f8f1-a193-4a3a-a490-4db5ac9e5a3f'>application/json</option>
</select>Expand Allobject  typestring   | null  
titlestring   | null  
traceIdstring   | null  
statusinteger  (int32)    
errorsobject | null  property* Array of string  | null  additionalPropertiesstring
